package server

import (
	"context"

	"git.loafle.net/commons_go/config"
	ogw "git.loafle.net/overflow/overflow_gateway_websocket"
)

var _s ogw.Server

func NewServer(ctx context.Context) ogw.Server {
	h := newServerHandler(ctx)
	_s := ogw.NewServer(ctx, h)

	ofSigningKey = []byte(config.GetString("auth.signingKey"))

	return _s
}
